Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields

# io_internal_struct Struct Reference

## Data Fields
int | fd
void * | buf
size_t | capa

## Detailed Description

Definition at line 559 of file io.c.

## Field Documentation

void* io_internal_struct::buf

Definition at line 561 of file io.c.

Referenced by internal_read_func(), internal_write_func(), rb_read_internal(), and rb_write_internal().

size_t io_internal_struct::capa

Definition at line 562 of file io.c.

Referenced by internal_read_func(), internal_write_func(), rb_read_internal(), and rb_write_internal().

int io_internal_struct::fd

Definition at line 560 of file io.c.

Referenced by internal_read_func(), internal_write_func(), rb_read_internal(), and rb_write_internal().

The documentation for this struct was generated from the following file:

- io.c